%global _empty_manifest_terminate_build 0
Name:           python-pyudev
Version:        0.24.1
Release:        2
Summary:        A libudev binding
License:        LGPL 2.1+
URL:            http://pyudev.readthedocs.org/
Source0:        https://files.pythonhosted.org/packages/20/b6/16961ac3575575260c72928f17df9c99c2a696871e486965ec6e2fa2aff4/pyudev-0.24.1.tar.gz
BuildArch:      noarch

%description
This package supports almost all libudev functionality.The lisence
is LGPL.It is a python 2/3 binding to libudev which is a linux
library supporting device management.The usage of pyudev is simple
and you can use it after a quick learning.

%package -n python3-pyudev
Summary:        A libudev binding
Provides:       python-pyudev
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-six
# Test requires
BuildRequires:  python3-hypothesis
BuildRequires:  python3-pytest
BuildRequires:  python3-pyudev
# General requires
Requires:       python3-six
%description -n python3-pyudev
This package supports almost all libudev functionality.The lisence
is LGPL.It is a python 2/3 binding to libudev which is a linux
library supporting device management.The usage of pyudev is simple
and you can use it after a quick learning.

%package help
Summary:        A libudev binding
Provides:       python3-pyudev-doc
%description help
This package supports almost all libudev functionality.The lisence
is LGPL.It is a python 2/3 binding to libudev which is a linux
library supporting device management.The usage of pyudev is simple
and you can use it after a quick learning.

%prep
%autosetup -n pyudev-%{version} -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
pytest -v --ignore=./tests/test_device.py --ignore=./tests/test_core.py --ignore=./tests/test_enumerate.py --ignore=./tests/test_monitor.py -k 'not (test_get_device_type_character_device or test_get_device_type_block_device or test_fake_monitor)'

%files -n python3-pyudev -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jul 13 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 0.24.1-1
- update to 0.24.1

* Tue Jun 06 2023 renhongxun <renhongxun@h-partners.com> - 0.24.0-2
- enable check

* Thu Nov 03 2022 zhuofeng <zhuofeng2@huawei.com> - 0.24.0-1
- update to 0.24.0

* Mon May 30 2022 OpenStack_SIG <openstack@openeuler.org> - 0.23.2-1
- Init package python3-pyudev of version 0.23.2

* Fri Oct 30 2020 tianwei <tianwei12@huawei.com> - 0.22.0-2
- remove python2

* Fri Jul 24 2020 tianwei <tianwei12@huawei.com> - 0.22.0-1
- update to release 0.22.0

* Fri Sep 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.21.0-10
- modify requires

* Sat Sep 21 2019 yangfeiyu <yangfeiyu2@huawei.com> - 0.21.0-9
- spec init
